Skip to main content
GET
/
v1
/
automations
/
{id}
/
executions
Get automation execution history
curl --request GET \
  --url http://0.0.0.0:3000/v1/automations/{id}/executions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "automation_id": 1,
    "status": "success",
    "started_at": "2026-03-17T10:00:00Z",
    "finished_at": "2026-03-17T10:00:01Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string

ID da organização para contexto (opcional). Quando presente, filtra recursos da org.

Path Parameters

id
integer
required

ID numérico da automação

Response

Execution history

id
integer
automation_id
integer
status
enum<string>
Available options:
success,
error,
running
started_at
string<date-time>
finished_at
string<date-time> | null